Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358546 - [abrt] general protection fault in thaw_processes
Summary: [abrt] general protection fault in thaw_processes
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6b92d8838dade2de516a1f48bff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 00:11 UTC by David McInnis
Modified: 2016-09-08 02:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-08 02:13:15 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-21 00:11 UTC, David McInnis
no flags Details

Description David McInnis 2016-07-21 00:11:08 UTC
Description of problem:
This is probably related to bug 1317235:

After the latest kernel upgate: 4.6.4-301.fc24, my computer didn't always freeze up after leaving suspend, but now would lead to inconsistant stuff:  Like starting back up and not working properly, also it would sometimes freeze up with the caps lock and scroll lock blinking at the same time.  Sometimes it was completely unresponsive, and sometimes I get an instant restart.

Additional info:
reporter:       libreport-2.7.1
general protection fault: 0000 [#1] 
SMP 
Modules linked in: ccm ip6t_REJECT nf_reject_ipv6 xt_conntrack ip6t_rpfilter ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 b43 bcma mac80211 cfg80211 coretemp kvm_intel iTCO_wdt gpio_ich iTCO_vendor_support ppdev dell_wmi sparse_keymap kvm dell_rbtn dell_laptop snd_hda_codec_idt snd_hda_codec_generic snd_hda_intel dell_smbios rfkill snd_hda_codec dcdbas dell_smm_hwmon irqbypass ssb snd_hda_core mmc_core i2c_i801 joydev snd_hwdep snd_seq snd_seq_device snd_pcm lpc_ich snd_timer snd soundcore shpchp
 parport_pc parport wmi acpi_cpufreq tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit drm_kms_helper drm serio_raw ata_generic pata_acpi video
CPU: 0 PID: 1454 Comm: systemd-sleep Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: Dell Inc. Latitude D430                   /0XW739, BIOS A09 01/04/2010
task: ffff880079ce1d40 ti: ffff88005bc34000 task.ti: ffff88005bc34000
RIP: 0010:[<ffffffff810f57ba>]  [<ffffffff810f57ba>] thaw_processes+0xda/0x200
RSP: 0018:ffff88005bc37d48  EFLAGS: 00010292
RAX: ffff880000010cd0 RBX: 5654500156543a39 RCX: 0000000000000000
RDX: 5654500156544001 RSI: 0000000000000202 RDI: 0000000000000202
RBP: ffff88005bc37d70 R08: 0000000000000000 R09: 0000000000000000
R10: ffff8800369f0e00 R11: 0000000000000000 R12: ffff880035a9a148
R13: ffff880079ce1d40 R14: ffff880035a99d40 R15: ffffffff81a2f4c4
FS:  00007f2fa392a740(0000) GS:ffff88007f400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6843a3bbd0 CR3: 000000005bc02000 CR4: 00000000000006f0
Stack:
 0000000000000000 0000000000000003 ffffffff81f41d50 0000000000000004
 ffff880079405510 ffff88005bc37d98 ffffffff810f682b 0000000000000003
 ffffffff81a2c183 ffffffff81f41d50 ffff88005bc37dd8 ffffffff810f4ffe
Call Trace:
 [<ffffffff810f682b>] pm_suspend+0x36b/0x400
 [<ffffffff810f4ffe>] state_store+0x7e/0xe0
 [<ffffffff813ddf4f>] kobj_attr_store+0xf/0x20
 [<ffffffff812ccb77>] sysfs_kf_write+0x37/0x40
 [<ffffffff812cc13c>] kernfs_fop_write+0x11c/0x170
 [<ffffffff81248a87>] __vfs_write+0x37/0x120
 [<ffffffff813644d5>] ? selinux_file_permission+0xc5/0x100
 [<ffffffff81359ead>] ? security_file_permission+0x3d/0xc0
 [<ffffffff810f2132>] ? percpu_down_read+0x12/0x50
 [<ffffffff81249392>] vfs_write+0xa2/0x190
 [<ffffffff8124a7f5>] SyS_write+0x55/0xc0
 [<ffffffff817e0772>] entry_SYSCALL_64_fastpath+0x1a/0xa4
Code: 89 df e8 fa b0 01 00 49 8b 84 24 10 03 00 00 48 8b 93 c8 05 00 00 48 83 c0 10 48 8d 9a 38 fa ff ff 48 39 c2 74 a3 49 39 dd 74 d4 <8b> 43 14 85 c0 79 cd be ca 00 00 00 4c 89 ff e8 72 1d fb ff eb 
RIP  [<ffffffff810f57ba>] thaw_processes+0xda/0x200

Comment 1 David McInnis 2016-07-21 00:11:18 UTC
Created attachment 1182281 [details]
File: dmesg

Comment 2 David McInnis 2016-07-21 00:31:58 UTC
maybe related to bug 1358555

Comment 3 David McInnis 2016-09-08 02:13:15 UTC
After the latest Kernel update I no longer have problems.


Note You need to log in before you can comment on or make changes to this bug.